#!/usr/bin/env python

# This file is part of 'PyAsync'
# Copyright 2000 Constantinos A. Kotsokalis <ckotso@cs.ntua.gr>
#
# PyAsync is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# PyAsync is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with PyAsync; see the file COPYING. If not, write to the
# Free Software Foundation, Inc.,
# 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.

import network_engine, error_object
import handler

if __name__ == '__main__':

	# Instantiate error reporting object, needed by the network engine
	errobj = error_object.error_object()
	# Instantiate the network engine
	neteng = network_engine.network_engine({'BIND_PORT':5050, 'DNS_CHECK_SEC':1800}, errobj)
	# Instantiate handler object
	HCh = handler.handler(neteng, errobj)

	# Go into main loop. The on* functions are defined in handler.py.
	neteng.loop(HCh.onAccept, HCh.onRead, HCh.onClose, HCh.onLoopEnd)

